# git lfs files

## file placements

- for Game-only projects

  ```text
  Game (Unity) Repository Folder
  ├── .git/
  ├── .gitignore      (from Unity.gitignore)
  ├── .gitattributes  (from Unity.gitattributes)
  └── ...
  ```

- for Modelling-only projects

  ```text
  Modelling (Maya / Z Brush / Substance Painter) Repository Folder
  ├── .git/
  ├── .gitattributes  (from Modelling.gitattributes)
  └── ...
  ```

- for Shared projects

  ```text
  Shared Repository (a la Integrated Project)
  ├── .git/
  ├── Game
  │   ├── .gitignore        (from Unity.gitignore)
  │   ├── .gitattributes    (from Unity.gitattributes)
  │   └── ...
  ├── Modelling
  │   ├── .gitattributes    (from Modelling.gitattributes)
  │   └── ...
  └── ...
  ```

## setting up lfs

```shell
# init git lfs
git lfs install

# optional, for multi-user/multi-collaborator repositories
git config lfs.https://forge.joshwel.co/<username>/<repository>.git/info/lfs.locksverify true
```

also see the forge's [Resources](https://poissonparler.notion.site/La-Forge-du-Poisson-Resources-d6d6b694a92b4211ac7496dec2b8689d) page for more info on setting up LFS projects
